Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.batik.apps.svgbrowser
Interface Main.OptionHandler

All Known Implementing Classes:
  Main.FontSizeHandler

Enclosing interface:
  Main

protected static interface Main.OptionHandler

This interface represents an option handler.

Method Summary
`java.lang.String` | `getDescription()` Returns the option description.
`int` | `handleOption(int i)` Handles the current option.

Method Detail

### handleOption

    public int handleOption(int i)

  Handles the current option.

  Returns:
    the index of argument just before the next one to handle.

### getDescription

    public java.lang.String getDescription()

  Returns the option description.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 Apache Software Foundation. All Rights Reserved.